Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367225 - dyninst testsuite test_fork and test4_{234} fail on x86_64
Summary: dyninst testsuite test_fork and test4_{234} fail on x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Developer Toolset
Classification: Red Hat
Component: dyninst
Version: DTS 6.0 RHEL 6
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: beta1
: 6.0
Assignee: Josh Stone
QA Contact: Michael Petlan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 23:09 UTC by Michael Petlan
Modified: 2016-11-15 10:13 UTC (History)
4 users (show)

Fixed In Version: devtoolset-6-dyninst-9.2.0-4.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 10:13:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2741 normal SHIPPED_LIVE new packages: devtoolset-6-dyninst 2016-11-15 14:52:01 UTC

Description Michael Petlan 2016-08-15 23:09:46 UTC
Description of problem:

The following set of tests fail on x86_64 RHEL-6:

test4_2
test4_3
test4_4
test_fork_5
test_fork_6
test_fork_7
test_fork_8
test_fork_9
test_fork_10
test_fork_11
test_fork_12
test_fork_13
test_fork_14

Version-Release number of selected component (if applicable):
devtoolset-6-dyninst-9.2.0-3.el6

How reproducible:
100%

Steps to Reproduce:
1. scl enable devtoolset-6 bash
2. export DYNINSTAPI_RT_LIB=/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdyninstAPI.so.9.2.0
3.export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/rh/devtoolset-6/root/usr/lib64/dyninst:/opt/rh/devtoolset-6/root/usr/lib64/dyninst/testsuite
4. cd /opt/rh/devtoolset-6/root/usr/lib64/dyninst/testsuite/
5. ./test_driver -test test4_4 -v++ -allopt -allmode -allcompilers

Actual results:

# ./test_driver -test test4_4 -v++ -allopt -allmode -allcompilers
TEST                       COMP   OPT  ABI MODE     THREAD  LINK    PIC     RESULT
test4_4                    g++    none 64  create   NA      dynamic nonPIC  FAILED (Running Test)
test4_4                    gcc    none 64  create   NA      dynamic nonPIC  FAILED (Running Test)


Expected results:

The tests pass.

Additional info:

When enabling various debugging options:

export DYNINST_DEBUG_STARTUP=1
export DYNINST_DEBUG_RTLIB=1
export DYNINST_DEBUG_CRASH=1
export DYNINST_DEBUG_BPATCH=1


Creating process test4_4.dyn_gcc_64_none_none in directory /opt/rh/devtoolset-6/root/usr/lib64/dyninst/testsuite/.
Arguments: (4)
   0: test4_4.dyn_gcc_64_none_none
   1: -verbose
   2: -run
   3: test4_4
Environment: (0)
[140655086634784]dynProcess.C[85]: stdin: 0, stdout: 1, stderr: 2
Created process 32179
[140655086634784]dynProcess.C[343]: attempting to bootstrap process 32179
[140655086634784]Processing initial shared objects
[140655086634784]----
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/testsuite/test4_4.dyn_gcc_64_none_none, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1065]:  about to create image
[140655086634784]image.C[1260]:  opening file /opt/rh/devtoolset-6/root/usr/lib64/dyninst/testsuite/test4_4.dyn_gcc_64_none_none
[140655086634784]image.C[1351]:  before findMain
[140655086634784]image.C[1382]:  before determineImageType
[140655086634784]image.C[1067]:  created image
[140655086634784]image.C[1072]: processing executable object
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/testsuite/test4_4.dyn_gcc_64_none_none/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x400000, size 22796
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x605910, size 1000
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x400000 to 0x40590c
[140655086634784][mapped_object.C:115] 	Data: 0x605910 to 0x605cf8
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/testsuite/test4_4.dyn_gcc_64_none_none)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c37a30)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c37a30): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c37a30)
[140655086634784]dynProcess.C[665]: adding shared object test4_4.dyn_gcc_64_none_none, addr range 0x0 to 0x590c
[140655086634784]dyninstRT_name: 
[140655086634784]Dyninst RT Library name set to '/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdyninstAPI.so.9.2.0'
[140655086634784]dynProcess.C[596]:  leave setAOut/setting main
Library: /lib64/ld-2.12.so / 0, <lib>
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /lib64/ld-2.12.so, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /lib64/ld-2.12.so/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x3518200000, size 129808
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x351841fb80, size 9256
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x3518200000 to 0x351821fb10
[140655086634784][mapped_object.C:115] 	Data: 0x351841fb80 to 0x3518421fa8
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/lib64/ld-2.12.so)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c38640)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c38640): gettingSymbolInfo
[140655086634784]dynProcess.C[732]: findSignalhandler(0x9c38640): addingSignalHandler(0x35182178f0, 1)
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c38640)
[140655086634784]dynProcess.C[665]: adding shared object ld-linux-x86-64.so.2, addr range 0x0 to 0x1fb10
[140655086634784]----
[140655086634784]Stackwalker stepper 0x9c39200 is a DyninstDynamicStepper
[140655086634784]Stackwalker stepper 0x9c392e0 is a DebugStepper
[140655086634784]Stackwalker stepper 0x9c39530 is a FrameFuncStepper
[140655086634784]Stackwalker stepper 0x9c395b0 is an AnalysisStepper
[140655086634784]Stackwalker stepper 0x9c39760 is a SigHandlerStepper
[140655086634784]Stackwalker stepper 0x9c39920 is a BottomOfStackStepper
[140655086634784]Stackwalker stepper 0x9c39ba0 is a WandererStepper
[140655086634784][unix.C:490] - hasPassedMain returning 0 (3518200b00 3518200b00)
[140655086634784]dynProcess.C[373]: inserting breakpoint at main
[140655086634784]dynProcess.C[947]: added trap to entry of main, address 0x402471
[140655086634784]dynProcess.C[379]: continuing process to breakpoint
[140655086634784]dynProcess.C[387]: waiting for main() loop
[140655086634784]dynProcess.C[416]: bootstrap waiting for process to initialize
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /lib64/ld-2.12.so, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /lib64/ld-2.12.so/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x3518200000, size 129808
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x351841fb80, size 9256
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x3518200000 to 0x351821fb10
[140655086634784][mapped_object.C:115] 	Data: 0x351841fb80 to 0x3518421fa8
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/lib64/ld-2.12.so)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c3a7f0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c3a7f0): gettingSymbolInfo
[140655086634784]dynProcess.C[732]: findSignalhandler(0x9c3a7f0): addingSignalHandler(0x35182178f0, 1)
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c3a7f0)
[140655086634784]dynProcess.C[665]: adding shared object ld-linux-x86-64.so.2, addr range 0x0 to 0x1fb10
[140655086634784]dynProcess.C[387]: waiting for main() loop
[140655086634784]dynProcess.C[389]: We think the process is stopped, continuing
[140655086634784]dynProcess.C[416]: bootstrap waiting for process to initialize
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdyninstAPI.so.9.2.0, codeBase 0x7f09eeaad000, dataBase 0x7f09eeaad000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdyninstAPI.so.9.2.0/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09eeaad000, codeOffset 0x0, size 2403118
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09eeaad000, dataOffset 0x44ab30, size 50912
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09eeaad000, data 0x7f09eeaad000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09eeaad000 to 0x7f09eecf7b2e
[140655086634784][mapped_object.C:115] 	Data: 0x7f09eeef7b30 to 0x7f09eef04210
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdyninstAPI.so.9.2.0)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c3dc80)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c3dc80): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c3dc80)
[140655086634784]dynProcess.C[665]: adding shared object libdyninstAPI.so.9.2, addr range 0x7f09eeaad000 to 0x7f09eecf7b2e
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /lib64/libc-2.12.so, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /lib64/libc-2.12.so/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x3518a00000, size 1613404
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x3518d8a708, size 20304
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x3518a00000 to 0x3518b89e5c
[140655086634784][mapped_object.C:115] 	Data: 0x3518d8a708 to 0x3518d8f658
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/lib64/libc-2.12.so)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c3ebe0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c3ebe0): gettingSymbolInfo
[140655086634784]dynProcess.C[732]: findSignalhandler(0x9c3ebe0): addingSignalHandler(0x3518a32660, 1)
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c3ebe0)
[140655086634784]dynProcess.C[665]: adding shared object libc.so.6, addr range 0x0 to 0x189e5c
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libcommon.so.9.2.0, codeBase 0x7f09ee77f000, dataBase 0x7f09ee77f000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libcommon.so.9.2.0/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09ee77f000, codeOffset 0x0, size 920250
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09ee77f000, dataOffset 0x2e0aba, size 222390
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09ee77f000, data 0x7f09ee77f000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09ee77f000 to 0x7f09ee85faba
[140655086634784][mapped_object.C:115] 	Data: 0x7f09eea5faba to 0x7f09eea95f70
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libcommon.so.9.2.0)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c3f210)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c3f210): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c3f210)
[140655086634784]dynProcess.C[665]: adding shared object libcommon.so.9.2, addr range 0x7f09ee77f000 to 0x7f09ee85faba
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libinstructionAPI.so.9.2.0, codeBase 0x7f09ee3ca000, dataBase 0x7f09ee3ca000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libinstructionAPI.so.9.2.0/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09ee3ca000, codeOffset 0x0, size 1765796
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09ee3ca000, dataOffset 0x3af1a8, size 15848
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09ee3ca000, data 0x7f09ee3ca000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09ee3ca000 to 0x7f09ee5791a4
[140655086634784][mapped_object.C:115] 	Data: 0x7f09ee7791a8 to 0x7f09ee77cf90
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libinstructionAPI.so.9.2.0)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c3fba0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c3fba0): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c3fba0)
[140655086634784]dynProcess.C[665]: adding shared object libinstructionAPI.so.9.2, addr range 0x7f09ee3ca000 to 0x7f09ee5791a4
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libstackwalk.so.9.2.0, codeBase 0x7f09ee176000, dataBase 0x7f09ee176000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libstackwalk.so.9.2.0/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09ee176000, codeOffset 0x0, size 329409
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09ee176000, dataOffset 0x2506c8, size 9464
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09ee176000, data 0x7f09ee176000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09ee176000 to 0x7f09ee1c66c1
[140655086634784][mapped_object.C:115] 	Data: 0x7f09ee3c66c8 to 0x7f09ee3c8bc0
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libstackwalk.so.9.2.0)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c40440)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c40440): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c40440)
[140655086634784]dynProcess.C[665]: adding shared object libstackwalk.so.9.2, addr range 0x7f09ee176000 to 0x7f09ee1c66c1
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libpcontrol.so.9.2.0, codeBase 0x7f09edd8a000, dataBase 0x7f09edd8a000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libpcontrol.so.9.2.0/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09edd8a000, codeOffset 0x0, size 1834186
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09edd8a000, dataOffset 0x3c0000, size 173968
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09edd8a000, data 0x7f09edd8a000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09edd8a000 to 0x7f09edf49cca
[140655086634784][mapped_object.C:115] 	Data: 0x7f09ee14a000 to 0x7f09ee174790
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libpcontrol.so.9.2.0)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c40de0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c40de0): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c40de0)
[140655086634784]dynProcess.C[665]: adding shared object libpcontrol.so.9.2, addr range 0x7f09edd8a000 to 0x7f09edf49cca
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libpatchAPI.so.9.2.0, codeBase 0x7f09edb40000, dataBase 0x7f09edb40000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libpatchAPI.so.9.2.0/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09edb40000, codeOffset 0x0, size 293195
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09edb40000, dataOffset 0x248000, size 7672
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09edb40000, data 0x7f09edb40000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09edb40000 to 0x7f09edb8794b
[140655086634784][mapped_object.C:115] 	Data: 0x7f09edd88000 to 0x7f09edd89df8
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libpatchAPI.so.9.2.0)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c41760)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c41760): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c41760)
[140655086634784]dynProcess.C[665]: adding shared object libpatchAPI.so.9.2, addr range 0x7f09edb40000 to 0x7f09edb8794b
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libparseAPI.so.9.2.0, codeBase 0x7f09ed670000, dataBase 0x7f09ed670000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libparseAPI.so.9.2.0/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09ed670000, codeOffset 0x0, size 2909706
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09ed670000, dataOffset 0x4c7000, size 29304
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09ed670000, data 0x7f09ed670000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09ed670000 to 0x7f09ed93660a
[140655086634784][mapped_object.C:115] 	Data: 0x7f09edb37000 to 0x7f09edb3e278
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libparseAPI.so.9.2.0)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c41ed0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c41ed0): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c41ed0)
[140655086634784]dynProcess.C[665]: adding shared object libparseAPI.so.9.2, addr range 0x7f09ed670000 to 0x7f09ed93660a
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libsymtabAPI.so.9.2.0, codeBase 0x7f09ed351000, dataBase 0x7f09ed351000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libsymtabAPI.so.9.2.0/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09ed351000, codeOffset 0x0, size 1149341
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09ed351000, dataOffset 0x319000, size 20080
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09ed351000, data 0x7f09ed351000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09ed351000 to 0x7f09ed46999d
[140655086634784][mapped_object.C:115] 	Data: 0x7f09ed66a000 to 0x7f09ed66ee70
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libsymtabAPI.so.9.2.0)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c428b0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c428b0): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c428b0)
[140655086634784]dynProcess.C[665]: adding shared object libsymtabAPI.so.9.2, addr range 0x7f09ed351000 to 0x7f09ed46999d
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /usr/lib64/libboost_thread-mt.so.5, codeBase 0x7f09ed13c000, dataBase 0x7f09ed13c000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /usr/lib64/libboost_thread-mt.so.5/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09ed13c000, codeOffset 0x0, size 77534
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09ed13c000, dataOffset 0x213000, size 5000
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09ed13c000, data 0x7f09ed13c000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09ed13c000 to 0x7f09ed14eede
[140655086634784][mapped_object.C:115] 	Data: 0x7f09ed34f000 to 0x7f09ed350388
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/usr/lib64/libboost_thread-mt.so.5)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c43430)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c43430): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c43430)
[140655086634784]dynProcess.C[665]: adding shared object libboost_thread-mt.so.5, addr range 0x7f09ed13c000 to 0x7f09ed14eede
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /usr/lib64/libboost_system-mt.so.5, codeBase 0x7f09ecf38000, dataBase 0x7f09ecf38000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /usr/lib64/libboost_system-mt.so.5/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09ecf38000, codeOffset 0x0, size 8262
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09ecf38000, dataOffset 0x202048, size 1128
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09ecf38000, data 0x7f09ecf38000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09ecf38000 to 0x7f09ecf3a046
[140655086634784][mapped_object.C:115] 	Data: 0x7f09ed13a048 to 0x7f09ed13a4b0
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/usr/lib64/libboost_system-mt.so.5)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c43bc0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c43bc0): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c43bc0)
[140655086634784]dynProcess.C[665]: adding shared object libboost_system-mt.so.5, addr range 0x7f09ecf38000 to 0x7f09ecf3a046
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /lib64/libpthread-2.12.so, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /lib64/libpthread-2.12.so/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x3518e00000, size 93908
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x3519017b98, size 1752
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x3518e00000 to 0x3518e16ed4
[140655086634784][mapped_object.C:115] 	Data: 0x3519017b98 to 0x3519018270
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/lib64/libpthread-2.12.so)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c443f0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c443f0): gettingSymbolInfo
[140655086634784]dynProcess.C[732]: findSignalhandler(0x9c443f0): addingSignalHandler(0x3518e0f7e0, 1)
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c443f0)
[140655086634784]dynProcess.C[665]: adding shared object libpthread.so.0, addr range 0x0 to 0x16ed4
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /usr/lib64/libstdc++.so.6.0.13, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /usr/lib64/libstdc++.so.6.0.13/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x351aa00000, size 949920
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x351ace8120, size 34304
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x351aa00000 to 0x351aae7ea0
[140655086634784][mapped_object.C:115] 	Data: 0x351ace8120 to 0x351acf0720
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/usr/lib64/libstdc++.so.6.0.13)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c44ce0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c44ce0): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c44ce0)
[140655086634784]dynProcess.C[665]: adding shared object libstdc++.so.6, addr range 0x0 to 0xe7ea0
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /lib64/libm-2.12.so, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /lib64/libm-2.12.so/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x3519600000, size 534248
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x3519882dc8, size 676
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x3519600000 to 0x35196826e8
[140655086634784][mapped_object.C:115] 	Data: 0x3519882dc8 to 0x351988306c
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/lib64/libm-2.12.so)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c454d0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c454d0): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c454d0)
[140655086634784]dynProcess.C[665]: adding shared object libm.so.6, addr range 0x0 to 0x826e8
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /lib64/libgcc_s-4.4.7-20120601.so.1, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /lib64/libgcc_s-4.4.7-20120601.so.1/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x351a600000, size 87860
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x351a815738, size 928
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x351a600000 to 0x351a615734
[140655086634784][mapped_object.C:115] 	Data: 0x351a815738 to 0x351a815ad8
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/lib64/libgcc_s-4.4.7-20120601.so.1)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c45d70)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c45d70): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c45d70)
[140655086634784]dynProcess.C[665]: adding shared object libgcc_s.so.1, addr range 0x0 to 0x15734
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdynDwarf.so.9.2.0, codeBase 0x7f09eccf5000, dataBase 0x7f09eccf5000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdynDwarf.so.9.2.0/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09eccf5000, codeOffset 0x0, size 255487
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09eccf5000, dataOffset 0x23e600, size 8160
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09eccf5000, data 0x7f09eccf5000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09eccf5000 to 0x7f09ecd335ff
[140655086634784][mapped_object.C:115] 	Data: 0x7f09ecf33600 to 0x7f09ecf355e0
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdynDwarf.so.9.2.0)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c46680)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c46680): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c46680)
[140655086634784]dynProcess.C[665]: adding shared object libdynDwarf.so.9.2, addr range 0x7f09eccf5000 to 0x7f09ecd335ff
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdynElf.so.9.2.0, codeBase 0x7f09ecad2000, dataBase 0x7f09ecad2000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdynElf.so.9.2.0/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09ecad2000, codeOffset 0x0, size 138524
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09ecad2000, dataOffset 0x222000, size 1952
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09ecad2000, data 0x7f09ecad2000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09ecad2000 to 0x7f09ecaf3d1c
[140655086634784][mapped_object.C:115] 	Data: 0x7f09eccf4000 to 0x7f09eccf47a0
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdynElf.so.9.2.0)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c46f90)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c46f90): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c46f90)
[140655086634784]dynProcess.C[665]: adding shared object libdynElf.so.9.2, addr range 0x7f09ecad2000 to 0x7f09ecaf3d1c
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /lib64/libdl-2.12.so, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /lib64/libdl-2.12.so/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x3518600000, size 8176
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x3518802d60, size 792
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x3518600000 to 0x3518601ff0
[140655086634784][mapped_object.C:115] 	Data: 0x3518802d60 to 0x3518803078
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/lib64/libdl-2.12.so)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c47ad0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c47ad0): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c47ad0)
[140655086634784]dynProcess.C[665]: adding shared object libdl.so.2, addr range 0x0 to 0x1ff0
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /opt/rh/devtoolset-6/root/usr/lib64/libelf-0.166.so, codeBase 0x7f09ec8b9000, dataBase 0x7f09ec8b9000
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /opt/rh/devtoolset-6/root/usr/lib64/libelf-0.166.so/
[140655086634784][mapped_object.C:107] 	codeBase 0x7f09ec8b9000, codeOffset 0x0, size 90628
[140655086634784][mapped_object.C:109] 	dataBase 0x7f09ec8b9000, dataOffset 0x216c0c, size 1424
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x7f09ec8b9000, data 0x7f09ec8b9000
[140655086634784][mapped_object.C:113] 	Code: 0x7f09ec8b9000 to 0x7f09ec8cf204
[140655086634784][mapped_object.C:115] 	Data: 0x7f09ecacfc0c to 0x7f09ecad019c
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/opt/rh/devtoolset-6/root/usr/lib64/libelf-0.166.so)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c47f00)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c47f00): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c47f00)
[140655086634784]dynProcess.C[665]: adding shared object libelf.so.1, addr range 0x7f09ec8b9000 to 0x7f09ec8cf204
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /lib64/libz.so.1.2.3, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /lib64/libz.so.1.2.3/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x3519200000, size 83060
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x3519414cd8, size 1320
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x3519200000 to 0x3519214474
[140655086634784][mapped_object.C:115] 	Data: 0x3519414cd8 to 0x3519415200
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/lib64/libz.so.1.2.3)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c48750)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c48750): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c48750)
[140655086634784]dynProcess.C[665]: adding shared object libz.so.1, addr range 0x0 to 0x14474
[140655086634784]mapped_object.C[151]:  about to parseImage
[140655086634784]mapped_object.C[153]: name /lib64/librt-2.12.so, codeBase 0x0, dataBase 0x0
[140655086634784]image.C[1046]: returning pre-parsed image
[140655086634784]mapped_object.C[200]:  creating mapped object
[140655086634784][mapped_object.C:105] Creating new mapped_object /lib64/librt-2.12.so/
[140655086634784][mapped_object.C:107] 	codeBase 0x0, codeOffset 0x3519a00000, size 26752
[140655086634784][mapped_object.C:109] 	dataBase 0x0, dataOffset 0x3519c06d88, size 1220
[140655086634784][mapped_object.C:111] 	fileDescriptor: code at 0x0, data 0x0
[140655086634784][mapped_object.C:113] 	Code: 0x3519a00000 to 0x3519a06880
[140655086634784][mapped_object.C:115] 	Data: 0x3519c06d88 to 0x3519c0724c
[140655086634784]mapped_object.C[205]:  leaving createMappedObject(/lib64/librt-2.12.so)
[140655086634784]dynProcess.C[719]: findSignalhandler(0x9c48fc0)
[140655086634784]dynProcess.C[725]: findSignalhandler(0x9c48fc0): gettingSymbolInfo
[140655086634784]dynProcess.C[736]: leaving findSignalhandler(0x9c48fc0)
[140655086634784]dynProcess.C[665]: adding shared object librt.so.1, addr range 0x0 to 0x6880
[140655086634784]dynProcess.C[387]: waiting for main() loop
[140655086634784]dynProcess.C[389]: We think the process is stopped, continuing
[140655086634784]dynProcess.C[416]: bootstrap waiting for process to initialize
[140655086634784]pcEventMuxer.C[334]: removing breakpoint at main
[140655086634784]dynProcess.C[427]: process initialized, loading the RT library
[140655086634784]dynProcess.C[797]: RT library already loaded
[140655086634784]dynProcess.C[823]: no DYNINSThasInitialized variable
[140655086634784]dynProcess.C[436]: bootstrap failed to load RT library
Failed to bootstrap process 32179: terminating...
test4_4                    gcc    none 64  create   NA      dynamic nonPIC  FAILED (Running Test)

Comment 1 Josh Stone 2016-08-22 20:18:05 UTC
(In reply to Michael Petlan from comment #0)
> Steps to Reproduce:
> 1. scl enable devtoolset-6 bash
> 2. export
> DYNINSTAPI_RT_LIB=/opt/rh/devtoolset-6/root/usr/lib64/dyninst/libdyninstAPI.
> so.9.2.0

This is missing "_RT" in the file name.

With that fixed, the log I get is similar until the end:

[139655969982240]pcEventMuxer.C[334]: removing breakpoint at main
[139655969982240]dynProcess.C[427]: process initialized, loading the RT library
[139655969982240]dynProcess.C[797]: RT library already loaded
[139655969982240]dynProcess.C[834]: DYNINSTinit succeeded
[139655969982240]dynProcess.C[841]: welcome to PCProcess::setRTLibInitParams
dynProcess.C[902]:  set var in RTlib for debug...
[139655969982240]dynProcess.C[454]: installing default Dyninst instrumentation into process 3351
[139655969982240]dynProcess.C[521]: finished bootstrapping process 3351
Registering function callback...
Registering instPoint callback...
Registering process...
Getting initial thread...
Creating new BPatch_image...
BPatch_process::BPatch_process, completed.
Caught crash signal 11 for thread 3351/3351
Registers at crash:
        x86_64::rip = 0x7fe8d208e08d
        x86_64::rax = 0x8393488
        x86_64::rcx = 0x345f3474736508
        x86_64::rdx = 0x20080
        x86_64::rbx = 0x0
        x86_64::rsp = 0x7ffdc5a32f60
        x86_64::rbp = 0x7ffdc5a32f80
        x86_64::rsi = 0x404d8e
        x86_64::rdi = 0x1a3e040
        x86_64::r8 = 0x0
        x86_64::r9 = 0x80
        x86_64::r10 = 0xeb00000000b445c7
        x86_64::r11 = 0x246
        x86_64::r12 = 0x4021d0
        x86_64::r13 = 0x7ffdc5a33140
        x86_64::r14 = 0x0
        x86_64::r15 = 0x0
        x86_64::ds = 0x0
        x86_64::es = 0x0
        x86_64::fs = 0x0
        x86_64::gs = 0x0
        x86_64::cs = 0x33
        x86_64::ss = 0x2b
        x86_64::flags = 0x10206
        x86_64::orax = 0xffffffffffffffff
        x86_64::fsbase = 0x7fe8d207d720
        x86_64::gsbase = 0x0
        x86_64::dr0 = 0x0
        x86_64::dr1 = 0x0
        x86_64::dr2 = 0x0
        x86_64::dr3 = 0x0
        x86_64::dr4 = 0x0
        x86_64::dr5 = 0x0
        x86_64::dr6 = 0x0
        x86_64::dr7 = 0x0
test4_4                    g++    none 64  create   NA      dynamic nonPIC  FAILED (Running Test)


Upstream dyninst#157 is also investigating a RHEL6 SIGSEGV, although in a different test -- this might be related

Comment 2 Josh Stone 2016-08-27 00:54:57 UTC
Fix posted upstream: https://github.com/dyninst/dyninst/pull/163

Comment 4 Michael Petlan 2016-10-03 12:14:09 UTC
Testsuite passed with DTS-6 Beta (devtoolset-6-dyninst-9.2.0-4.el[67]) on all supported architectures.

VERIFIED

Comment 6 errata-xmlrpc 2016-11-15 10:13:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2741.html


Note You need to log in before you can comment on or make changes to this bug.